Comparison (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types, class: Comparison

Package org.apache.tools.ant.types

# Class Comparison

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.Comparison

Direct Known Subclasses:
  `Length.When`, `SizeSelector.SizeComparisons`

    public class Comparison
    extends EnumeratedAttribute

EnumeratedAttribute for generic comparisons. Accepts values "equal", "greater", "more", "less", "ne" (not equal), "ge" (greater or equal), "le" (less or equal), "eq" (equal), "gt" (greater), "lt" (less).

Since:
  Ant 1.7

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static Comparison` | `EQUAL` | Equal Comparison.
  `static Comparison` | `GREATER` | Greater Comparison.
  `static Comparison` | `GREATER_EQUAL` | Greater-or-Equal Comparison.
  `static Comparison` | `LESS` | Less Comparison.
  `static Comparison` | `LESS_EQUAL` | Less-or-Equal Comparison.
  `static Comparison` | `NOT_EQUAL` | Not-Equal Comparison.

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Comparison()` | Default constructor.
  `Comparison​(java.lang.String value)` | Construct a new Comparison with the specified value.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `evaluate​(int comparisonResult)` | Evaluate a comparison result as from Comparator.compare() or Comparable.compareTo().
  `java.lang.String[]` | `getValues()` | Return the possible values.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EQUAL

    public static final Comparison EQUAL
    Equal Comparison.

  - ### NOT_EQUAL

    public static final Comparison NOT_EQUAL
    Not-Equal Comparison.

  - ### GREATER

    public static final Comparison GREATER
    Greater Comparison.

  - ### LESS

    public static final Comparison LESS
    Less Comparison.

  - ### GREATER_EQUAL

    public static final Comparison GREATER_EQUAL
    Greater-or-Equal Comparison.

  - ### LESS_EQUAL

    public static final Comparison LESS_EQUAL
    Less-or-Equal Comparison.

- ## Constructor Details

  - ### Comparison

    public Comparison()
    Default constructor.

  - ### Comparison

    public Comparison​(java.lang.String value)
    Construct a new Comparison with the specified value.
    Parameters:
      `value` - the EnumeratedAttribute value.

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    Return the possible values.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      String[] of EnumeratedAttribute values.

  - ### evaluate

    public boolean evaluate​(int comparisonResult)
    Evaluate a comparison result as from Comparator.compare() or Comparable.compareTo().
    Parameters:
      `comparisonResult` - the result to evaluate.
    Returns:
      true if the comparison result fell within the parameters of this Comparison.